%define upstream_name AcePerl
%define upstream_version 1.92

Name:           perl-Ace
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 3
Summary:        Perl module for interfacing with ACE bioinformatics databases
License:        GPL+ or Artistic
Group:          Development/C
URL:            http://search.cpan.org/dist/%{upstream_name}
Source0:        http://www.cpan.org/modules/by-module/Ace/%{upstream_name}-%{upstream_version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Cache::Cache) >= 1.03

%description
AcePerl is a Perl interface for the ACEDB object-oriented database.
Designed specifically for use in genome sequencing projects, ACEDB
provides powerful modeling and management services for biological and
laboratory data.

%{?perl_default_filter}

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

# RPM 4.9 style
%global __requires_exclude %{?__requires_exclude:__requires_exclude|}perl\\(Ace::Browser::LocalSiteDefs\\)$
# remove all execute bits from the doc stuff and fix interpreter
# so that dependency generator doesn't try to fulfill deps
find examples -type f -exec chmod -x {} 2>/dev/null ';'
find examples -type f -exec sed -i 's#/usr/local/bin/perl#/usr/bin/perl#' {} 2>/dev/null ';'

%build
%__perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS" << EOF
1
n
EOF

%make

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

## disable tests because they require network access
%check
%{?_with_check:make test || :}

%files
%doc examples
%doc ChangeLog DISCLAIMER.txt README README.ACEBROWSER
%{_bindir}/*
%{perl_vendorlib}/*
%{_mandir}/man1/*
%{_mandir}/man3/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 1.920.0-3.mga6
+ Revision: 1022175
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.920.0-2.mga6
+ Revision: 968863
- Mageia 6 Mass Rebuild

* Mon Jul 20 2015 sander85 <sander85> 1.920.0-1.mga6
+ Revision: 855728
- Update spec

* Wed Oct 15 2014 umeabot <umeabot> 1.92-2.mga5
+ Revision: 743267
- Second Mageia 5 Mass Rebuild

* Fri Oct 03 2014 tv <tv> 1.92-1.mga5
+ Revision: 736283
- imported package perl-Ace


* Fri Oct 03 2014 Thierry Vignaud <tv@mageia.org> 1.92-1.mga5
- import from FC

* Fri Jul 22 2011 Petr Pisar <ppisar@redhat.com> - 1.92-10
- RPM 4.9 dependency filtering added

* Tue Jun 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.92-9
- Perl mass rebuild

* Tue Feb 15 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.92-8
- clean specfile, use filtering macro

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.92-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 14 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.92-6
- rebuild for fixing problems with vendorach/lib

* Thu Apr 29 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.92-5
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.92-4
- rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.92-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.92-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Alex Lancaster <alexlan[AT]fedoraproject org> - 1.92-1
- Update to latest upstream (1.92)

* Fri Feb 08 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.91-4
- rebuild for new perl

* Tue Sep 04 2007 Alex Lancaster <alexl@users.sourceforge.net> 1.91-3
- Clarified license terms: GPL+ or Artistic

* Mon Apr 02 2007 Alex Lancaster <alexl@users.sourceforge.net> 1.91-2
- Rename perl-AcePerl to perl-Ace
- Disable tests because they require network access
- Fix URL for source.
- Add examples doc directory

* Fri Mar 30 2007 Alex Lancaster <alexl@users.sourceforge.net> 1.91-1
- Make noarch (not building the C optimizations).
- Remove Requires on Ace::Browser::LocalSiteDefs , do not currently
  install the AceBrowser Apache module
- Specfile autogenerated by cpanspec 1.69.1.
